Package org.eclipse.cdt.core.dom.ast.cpp

# Enum Class ICPPASTNaryTypeIdExpression.Operator

java.lang.Object
java.lang.Enum<ICPPASTNaryTypeIdExpression.Operator>
org.eclipse.cdt.core.dom.ast.cpp.ICPPASTNaryTypeIdExpression.Operator

All Implemented Interfaces:
  `Serializable`, `Comparable<ICPPASTNaryTypeIdExpression.Operator>`, `java.lang.constant.Constable`

Enclosing interface:
  ICPPASTNaryTypeIdExpression

public static enum ICPPASTNaryTypeIdExpression.Operator extends Enum<ICPPASTNaryTypeIdExpression.Operator>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`__is_constructible`
`__is_trivially_constructible`

## Method Summary

Modifier and Type
Method
Description
`static ICPPASTNaryTypeIdExpression.Operator`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ICPPASTNaryTypeIdExpression.Operator[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### __is_trivially_constructible

public static final ICPPASTNaryTypeIdExpression.Operator __is_trivially_constructible

### __is_constructible

public static final ICPPASTNaryTypeIdExpression.Operator __is_constructible

Since:
  6.6

## Method Details

### values

public static ICPPASTNaryTypeIdExpression.Operator[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ICPPASTNaryTypeIdExpression.Operator valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null